function [new_image_width, new_image_height] = resize_im_dims(image_width, image_height, max_width, max_height)

new_image_width = image_width;
new_image_height = image_height;

if image_width > max_width || image_height > max_height
    if  image_width / image_height > max_width / max_height
        new_image_width = max_width;
        new_image_height = round(image_height * new_image_width / image_width);
    else
        new_image_height = max_height;
        new_image_width = round(image_width * new_image_height / image_height);
    end
end

